Page MenuHomePhabricator

Migrate MwEmbedSupport to use JSON i18n
Closed, ResolvedPublic

Description

Gerrit 121615 migrated MwEmbedSupport to use JSON i18n. This was reverted in gerrit 121889 because it caused "PHP Notice: Undefined index: en in /data/project/apache/common-local/php-master/extensions/MwEmbedSupport/MwEmbedResourceManager.php on line 49".

According to MaxSem, this extension implements a home-brewed ResourceLoader. Because I have no knowledge of this, I'm skipping migration to JSON i18n and have reported this bug report. If someone has knowledge of this extension, please make it work with JSON files :).


Version: master
Severity: normal

Details

Reference
bz63257

Related Objects

StatusSubtypeAssignedTask
ResolvedNone
ResolvedNone

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:56 AM
bzimport set Reference to bz63257.
bzimport added a subscriber: Unknown Object (MLST).

Change 121950 had a related patch set uploaded by Siebrand:
Add support for JSON files using messageDir.

https://gerrit.wikimedia.org/r/121950

Change 121976 had a related patch set uploaded by Siebrand:
Migrate to JSON i18n

https://gerrit.wikimedia.org/r/121976

Siebrand: I'd appreciate if tickets were created when creating new components in Bugzilla. I'm going to remove this "mwembedsupport" component again.

André, not sure what you mean. Can you elaborate, please?

Siebrand: I appreciate Bugzilla tickets when creating new components and waiting for feedback first. See https://www.mediawiki.org/wiki/Bug_management/Project_Maintainers#To_add_a_project_or_component - traditionally everybody has been doing what (s)he thinks is right with best intention, but in the long run missing coordination and missing transparency create a mess in BZ taxonomy. :)
In this specific case I once talked to Multimedia and they prefer remaining mwEmbed* stuff under the TMH umbrella in Bugzilla (though this might welcome clarification in the TMH component description).

(In reply to Andre Klapper from comment #5)

Siebrand: I appreciate Bugzilla tickets when creating new components and
waiting for feedback first. See
https://www.mediawiki.org/wiki/Bug_management/
Project_Maintainers#To_add_a_project_or_component - traditionally everybody
has been doing what (s)he thinks is right with best intention, but in the
long run missing coordination and missing transparency create a mess in BZ
taxonomy. :)
In this specific case I once talked to Multimedia and they prefer remaining
mwEmbed* stuff under the TMH umbrella in Bugzilla (though this might welcome
clarification in the TMH component description).

Okay. Thanks. I do find it confusing that multiple extensions have the same component, as that makes it hard to find.

Tgr added a comment.Mar 31 2014, 7:24 PM

(In reply to Siebrand Mazeland from comment #6)

Okay. Thanks. I do find it confusing that multiple extensions have the same
component, as that makes it hard to find.

You can go the mediawiki.org page which should always have the same name as the extension ( https://www.mediawiki.org/wiki/Extension:MwEmbedSupport ) and look at the bugzilla links at the bottom of the infobox.

Merging/splitting extensions is relatively easy, merging/splitting Bugzilla components is hard, so I don't think it makes sense to keep up an 1:1 relation all the time. (No opinion on TMH/MwEmbed* specifically.)

Change 121950 merged by jenkins-bot:
Add support for JSON files using messageDir

https://gerrit.wikimedia.org/r/121950

Change 121976 merged by jenkins-bot:
Migrate to JSON i18n

https://gerrit.wikimedia.org/r/121976

Gilles raised the priority of this task from Medium to Unbreak Now!.Dec 4 2014, 10:25 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Medium.Dec 4 2014, 11:21 AM